define(['jquery', 'browser', 'hover_intent'], function ($, Browser) {

	//TODO add features so it can be used by thumbnailTools

	$.fn.showOnMouseover = function(args) {
		var o = $.extend({
			hideables: $()
		}, args);

		return $(this).each(function(){
			var el = $(this);

			var timer = 0;

			el.hoverIntent(
				function mouse_in(){
					timer && (clearTimeout(timer), timer = 0);

					o.hideables.stop().show().animate({opacity: 1}, 100);
					if(Browser.msie){
						o.hideables.find('.ui-icon').show();//FIXME not generic
					}
				},
				function out(){
					if(!timer){
						timer = setTimeout(function(){
							timer = 0;

							o.hideables.stop().animate({opacity: 0}, 100, function(){
								o.hideables.css({display: 'none'});
							});
							if(Browser.msie){
								o.hideables.find('.ui-icon').hide();//FIXME not generic
							}
						}, 300);
					}
				}
			);
		});
	};
});
