define(['jquery', 'ajax_queue'], function($, Ajaxqueue) {

	var user_info;

	return {
		info:	$.Deferred(function(df){
			Ajaxqueue({
				url: '/plots/user-info/',
				cache: 1000000,
				success: function(info) {
					df.resolve(user_info = info);
				}
			});
		}).promise(),

		is: function(policy) {
			return user_info && user_info.policies && !!~$.inArray(policy, user_info.policies);
		},

		is_forecaster: function() {
			return user_info && user_info.policies && (!!~$.inArray('ecmwf', user_info.policies) || !!~$.inArray('forecaster', user_info.policies));
		}
	}
});
