define(['config', 'jquery', './cams.css', './drupal/modules/ecmwf_chart/ecmwf_chart.css', './drupal/modules/chart_app/chart_app.css'], function(ECMWF, $){
$.extend(true, ECMWF, {
	options: {
		ajax: {
			backend: {
				unit_list:          '/backend/unit-list/',
				product_thumbnail:  '/backend/product-thumbnail/NAME/',
				get_availability:   '/backend/get-availability/'
			},
			plots: {
				get_packages: '/plots/get-packages/',
				get_map: '/plots/get-map/',
				get_instance_map: '/plots/get-instance-map/',
				get_plot_thumbnail: '/plots/get-plot-thumbnail/NAME/',
				www_instance_list: '/plots/get-instance-list/',
				cyclone_list: '/plots/cyclone-list/',
				latest_cyclones: '/plots/latest-cyclones/',
				cyclone_overview: '/plots/cyclone-overview/',
				get_product_text: '/plots/get-product-text/',
				user_info: '/plots/user-info/'
			}
		}
	},
	load_app: function(app, done) {
		require(['product_browser/pages/view'], done);
	}
});
});

