define(['jquery', 'bus', 'multigrams', 'probe'], function($, Bus) {

    var count = 0;

    $.widget('ui.meteograms', {

        options: {
            messageBus: Bus(),
            // This does not seem to work ...
            //products : ["10d_epsgram_temp", "10d_epsgram_tp"],
            height : 120,
            width  : 525
        },

        _init: function(){ 
            var self = this, o = this.options;

            if(!o.products) {
                o.products = ["10d_epsgram_2t", "10d_epsgram_tp"];
            }

            count++;

            self.name = "meteograms_" + count;

            self.element
                .addClass('meteograms')
                .bind('show', function() { $.openProbe(self); })
                .bind('hide', function() { $.closeProbe(self); })
                .multigrams(o);
        },

        destroy: function(){ 
            var self = this;

            self.element
                .removeClass('meteograms')
                .multigrams('destroy');

            // Cleanup CSS and event handling
            // self.element.removeClass("....").unbind("....") 
            // Destroy created DOM elements
            self.element.empty();
            
            return this;
        } 
    });
});
