define(['jquery', 'virtual-dom/h'], function($, h){

var Scrollbar = function() {
	this.state = {
		height: 400,
		inner_height: 0,
		top: 0
	}
}

Scrollbar.prototype = {
	render: function() {
		if(this.state.inner_height > this.state.height) return [];

		return h(
			'.ps-scrollbar-y-rail',
			{style: {
				top: 0,
				right: '3px',
				height: this.state.height + 'px',
				backgroundColor: '#eee',
				opacity: 0.6
			}},
			[
				h('.ps-scrollbar-y', {style: {top: this.state.top, height: this.state.inner_height + 'px'}})
			]
		)
	}
}

return Scrollbar

})
